> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ocpplab.com/llms.txt.
> For full documentation content, see https://docs.ocpplab.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ocpplab.com/_mcp/server.

# Get catalog brand model

GET https://host.com/ocpp/catalog/brands/{brand_slug}/models/{model_slug}

Retrieve one charger model detail record by brand slug and model slug.

Reference: https://docs.ocpplab.com/api-reference/ocpplab-gateway-api/core-resources/catalog/get-model

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: OCPPLab SDK
  version: 1.0.0
paths:
  /ocpp/catalog/brands/{brand_slug}/models/{model_slug}:
    get:
      operationId: get-model
      summary: Get catalog brand model
      description: Retrieve one charger model detail record by brand slug and model slug.
      tags:
        - subpackage_catalog
      parameters:
        - name: brand_slug
          in: path
          description: Brand slug (URL-safe identifier) used to scope model discovery.
          required: true
          schema:
            type: string
        - name: model_slug
          in: path
          description: Model slug (URL-safe identifier) scoped under one brand.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Model retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ModelResponse'
        '401':
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '403':
          description: Insufficient permissions or missing required claims
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '404':
          description: Brand or model not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorResponse'
servers:
  - url: https://host.com
components:
  schemas:
    ModelResponse:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        name:
          type: string
        brand_slug:
          type:
            - string
            - 'null'
        brand_id:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        connector_count:
          type:
            - integer
            - 'null'
        current_type:
          type:
            - string
            - 'null'
        supported_kwh:
          type:
            - array
            - 'null'
          items:
            type: number
            format: double
        connector_types:
          type:
            - array
            - 'null'
          items:
            type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - slug
        - name
      description: Model catalog entry exposed by the API.
      title: ModelResponse
    HttpErrorResponse:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message returned by the API.
      required:
        - detail
      description: Standard HTTP error payload returned by the API.
      title: HttpErrorResponse
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationErrorCtx:
      type: object
      properties: {}
      title: ValidationErrorCtx
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          $ref: '#/components/schemas/ValidationErrorCtx'
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python One Wallbox model detail record
import requests

url = "https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript One Wallbox model detail record
const url = 'https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go One Wallbox model detail record
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby One Wallbox model detail record
require 'uri'
require 'net/http'

url = URI("https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java One Wallbox model detail record
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php One Wallbox model detail record
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp One Wallbox model detail record
using RestSharp;

var client = new RestClient("https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift One Wallbox model detail record
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/ocpp/catalog/brands/wallbox/models/wallbox-pulsar-plus")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```